/*
 * Ch6b_DropSession.sql
 * Copyright 2001 Matthew J. Holmes
 */

IF EXISTS (SELECT * FROM sysObjects WHERE ID = Object_Id('Ch6b_DropSession'))
	DROP PROC Ch6b_DropSession
GO

CREATE PROC Ch6b_DropSession
	@Device		VARCHAR50
AS
	DECLARE @UID	int
	DECLARE @RID	int

	/* Find the radio */
	SELECT @RID = R.RID FROM tbRadio R WHERE R.Device = @Device
	IF @RID IS NULL RETURN 1

	/* Find the session */
	SELECT @UID = S.UID FROM tbSession S WHERE S.RID = @RID
	IF @UID IS NULL RETURN 2

	DELETE tbSession WHERE RID = @RID	
	RETURN 0
GO